# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Canary-Stability
Version:	2013
Release:	15.%{__distinit}%{__distvers}
Summary:	Canary to check perl compatibility for Schmorp's modules
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Canary-Stability
Source0:	https://cpan.metacpan.org/authors/id/M/ML/MLEHMANN/Canary-Stability-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
# Module Runtime
BuildRequires:	perl(ExtUtils::MakeMaker)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(ExtUtils::MakeMaker)

%description
This module is used by Schmorp's modules during configuration stage to test
the installed perl for compatibility with his modules.

%prep
%setup -q -n Canary-Stability-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test AUTOMATED_TESTING=1

%files
%license COPYING
%doc Changes README
%{perl_vendorlib}/Canary/
%{_mandir}/man3/Canary::Stability.3*

%changelog
* Tue Jul 11 2023 Paul Howarth <paul@city-fan.org> - 2013-15
- Use SPDX-format license tag
- Use %%license unconditionally

* Mon Apr 22 2019 Paul Howarth <paul@city-fan.org> - 2013-1
- Update to 2013
  - Carbon-dioxide levels hit 400ppm first time in recorded history
  - During AUTOMATED_TESTING, turn minimum version recommendations into hard
    requirements to avoid false positives in unsupported perl versions
  - Added dummy testsuite
- Switch upstream from search.cpan.org to metacpan.org
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Sun Sep 25 2016 Paul Howarth <paul@city-fan.org> - 2012-1
- Update to 2012
  - Another year where the UNFCCC had to adjust their predictions in the worse
    direction
  - Do not print the big intro blob in yellow

* Mon Aug  8 2016 Paul Howarth <paul@city-fan.org> - 2011-2
- BR: perl-generators where available
- Simplify find command using -delete

* Sun Mar 13 2016 Paul Howarth <paul@city-fan.org> - 2011-1
- Update to 2011
  - The year the terrorists won and the free world sacrificed the free
  - Added more explanatory blurb, based on ideas by Kent Fredric
  - Colour wasn't reset in time to catch further Makefile.PL output in some
    cases

* Sun Jun 28 2015 Paul Howarth <paul@city-fan.org> - 2006-1
- Update to 2006
  - The year when things were in good shape still
  - The compatibility version test for 5.22 was wrong and erroneously took
    5.20.1+ as unsupported
  - Fix URLs

* Sun Jun 21 2015 Paul Howarth <paul@city-fan.org> - 2001-4
- Import from Fedora

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2001-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 09 2015 Jitka Plesnikova <jplesnik@redhat.com> - 2001-2
- Perl 5.22 rebuild

* Mon Jun 08 2015 Petr Pisar <ppisar@redhat.com> - 2001-1
- Specfile autogenerated by cpanspec 1.78
